Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.threads
Class TestCompiler

    java.lang.Object
      org.apache.jmeter.threads.TestCompiler

All Implemented Interfaces:
  HashTreeTraverser

public class TestCompiler
extends Object
implements HashTreeTraverser

Constructor Summary
`TestCompiler(HashTree testTree, JMeterVariables vars)`

Method Summary
`void` | `addNode(Object node, HashTree subTree)` The tree traverses itself depth-first, calling addNode for each object it encounters as it goes.
`SamplePackage` | `configureSampler(Sampler sampler)`
`SamplePackage` | `configureTransactionSampler(TransactionSampler transactionSampler)`
`void` | `done(SamplePackage pack)`
`static void` | `initialize()` Clears the pairing Set Called by StandardJmeterEngine at the start of a test run.
`void` | `processPath()` Process path is called when a leaf is reached.
`void` | `subtractNode()` Indicates traversal has moved up a step, and the visitor should remove the top node from its stack structure.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestCompiler

    public TestCompiler(HashTree testTree,
                        JMeterVariables vars)

Method Detail

### initialize

    public static void initialize()

  Clears the pairing Set Called by StandardJmeterEngine at the start of a test run.

### configureSampler

    public SamplePackage configureSampler(Sampler sampler)

### configureTransactionSampler

    public SamplePackage configureTransactionSampler(TransactionSampler transactionSampler)

### done

    public void done(SamplePackage pack)

### addNode

    public void addNode(Object node,
                        HashTree subTree)

  Description copied from interface: `HashTreeTraverser`
  The tree traverses itself depth-first, calling addNode for each object it encounters as it goes. This is a callback method, and should not be called except by a HashTree during traversal.

  Specified by:
    `addNode` in interface `HashTreeTraverser`
  Parameters:
    `node` - the node currently encountered
    `subTree` - the HashTree under the node encountered

### subtractNode

    public void subtractNode()

  Description copied from interface: `HashTreeTraverser`
  Indicates traversal has moved up a step, and the visitor should remove the top node from its stack structure. This is a callback method, and should not be called except by a HashTree during traversal.

  Specified by:
    `subtractNode` in interface `HashTreeTraverser`

### processPath

    public void processPath()

  Description copied from interface: `HashTreeTraverser`
  Process path is called when a leaf is reached. If a visitor wishes to generate Lists of path elements to each leaf, it should keep a Stack data structure of nodes passed to it with addNode, and removing top items for every `HashTreeTraverser.subtractNode()` call. This is a callback method, and should not be called except by a HashTree during traversal.

  Specified by:
    `processPath` in interface `HashTreeTraverser`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.